%define upstream_name    IO-Epoll
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Scalable IO Multiplexing for Linux 2.5.44 and higher
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The 'epoll(4)' subsystem is a new, (currently) Linux-specific variant of
'poll(2)'. It is designed to offer O(1) scalability over large numbers of
watched file descriptors. You will need at least version 2.5.44 of Linux to
use this module, and you might need to upgrade your C library.

The 'epoll(2)' API comprises four system calls: 'epoll_create(2)',
'epoll_ctl(2)', 'epoll_wait(2)' and 'epoll_pwait(2)'. 'IO::Epoll' provides
a low-level API which closely matches the underlying system calls. It also
provides a higher-level layer designed to emulate the behavior of
'IO::Poll' and 'IO::Ppoll'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.30.0-25.mga10
+ Revision: 2088074
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.30.0-24.mga10
+ Revision: 2010933
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.30.0-23.mga9
+ Revision: 1862012
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.30.0-22.mga9
+ Revision: 1795815
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.30.0-21.mga9
+ Revision: 1726729
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.30.0-20.mga8
+ Revision: 1594819
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.30.0-19.mga8
+ Revision: 1529612
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.30.0-18.mga8
+ Revision: 1433712
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0-17.mga7
+ Revision: 1293194
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.30.0-16.mga7
+ Revision: 1249494
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.30.0-15.mga7
+ Revision: 1165015
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.30.0-14.mga7
+ Revision: 1148964
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.30.0-13.mga7
+ Revision: 1126666
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-12.mga6
+ Revision: 1028667
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-11.mga6
+ Revision: 957544
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-10.mga6
+ Revision: 844919
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.30.0-9.mga6
+ Revision: 842338
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-8.mga5
+ Revision: 746071
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-7.mga5
+ Revision: 685058
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.30.0-6.mga5
+ Revision: 631290
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-5.mga4
+ Revision: 524330
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-4.mga4
+ Revision: 430760
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 368498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-2.mga3
+ Revision: 250784
- rebuild for perl 5.16

* Thu Jan 05 2012 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 191187
- update to 0.03

* Mon Jul 04 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 118375
- imported package perl-IO-Epoll


* Mon Jul 04 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
